BOOL CALLBACK ConfigProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam); //Process configuration dialog events
bool IsDialogOpen(); //Just return if the dialog is open. This can be used by the main window to bypass calculating values to send to the dialog.
void DialogReturnInformation(double x1, double x2, double y1, double y2, DWORD x, DWORD y, DWORD d, bool AnimationEnabled, bool UseC, double Real, double Imag, bool UsingOGL); //Receive back changed information from the configuration dialog
void ConfigDisableOGL(); //Disable the OpenGL Button

//All the following functions just set fields in the dialog from parameters. They do not run if the dialog is not open.
void SetConfigBoundaries(double x1, double x2, double y1, double y2); //Also updates zoom
void SetConfigWindowDimensions(DWORD x, DWORD y);
void SetConfigDetailLevel(DWORD d);
void SetConfigPixelInfo(DWORD PixX, DWORD PixY, double SpaceX, double SpaceY, double EscapeV, DWORD Color);
void SetInitDialogInfo(bool AnimationEnabled, bool UseC, double Real, double Imag, bool UsingOGL);
